%def_without M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

Name: c-icap
Version: 20060603
Release: %_release.0
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: ICAP server
License: GPL
Group: System/Servers
Url: http://c-icap.sourceforge.net/

Source0: http://ovh.dl.sourceforge.net/sourceforge/c-icap/%name-%version.tar.gz
Source1: %name.init
#Source2: %name.sysconfig
Patch0: c-icap-20060603-alt-config.patch
Patch1: c-icap-20060603-alt-rename.patch
Patch2: c-icap-20060603-alt-magic.patch
Patch3: c-icap-20060603-alt-overflow.patch
Patch4: c-icap-20060603-alt-debug.patch
Patch5: c-icap-20060603-alt-clamav.patch

# Automatically added by buildreq on Thu Jan 18 2007
BuildRequires: gcc-c++ libclamav-devel libstdc++-devel zlib-devel

%description
Implementation of an Internet Content Adaptation Protocol (ICAP) server.

%package devel
Summary: ICAP development files
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers and libraries for an Internet Content Adaptation Protocol (ICAP)
server implementation.

%prep
%setup -q
%patch0 -p0
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2

%if_without M24
%patch5 -p2
%endif

chmod 644 contrib/*

%build
%configure
%make_build

%install
%makeinstall

install -pD -m755 %SOURCE1 %buildroot%_initdir/%name
mkdir -p %buildroot%_sbindir
mv %buildroot%_bindir/%name %buildroot%_sbindir/%name

mkdir -p %buildroot%_logdir/%name
touch %buildroot%_logdir/%name/{server,access}.log

mkdir -p %buildroot%_var/run/%name

%pre
/usr/sbin/groupadd -r -f _c_icap ||:
/usr/sbin/useradd -M -n -g _c_icap -r -d /dev/null -s /dev/null \
	-c "system user for %name" _c_icap >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%doc AUTHORS README INSTALL.txt TODO contrib/get_file.pl
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/%name.magic
%attr (755,root,root) %_initdir/%name
%_bindir/*
%attr (755,root,root) %_sbindir/%name
%dir %_libdir/%name/
%_libdir/%name/*.so
%_libdir/libicapapi.so.*
%dir %attr (750,_c_icap,root) %_logdir/%name/
%ghost %_logdir/%name/*.log
%dir %attr (750,_c_icap,root) %_var/run/%name/

%files devel
%_includedir/%name
%_libdir/libicapapi.so

%changelog
* Thu Mar 22 2007 ALT QA Team Robot <qa-robot@altlinux.org> 20060603-alt1.0
- Rebuilt with libclamav.so.2.

* Wed Jan 17 2007 Grigory Batalov <bga@altlinux.ru> 20060603-alt1
- Initial ALTLinux release.
